JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const tasks = await client.tasks.list();
console.log(tasks.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
tasks = client.tasks.list()
print(tasks.items)curl --request GET \
--url https://api.mobilerun.ai/v1/tasks \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayId": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"llmModel": "<string>",
"ownerId": "<string>",
"status": "queued",
"task": "<string>",
"tmpDevice": true,
"userId": "<string>",
"accessibility": true,
"agentId": 0,
"apps": [
"<string>"
],
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"claimedAt": "2023-11-07T05:31:56Z",
"continueOnFailure": false,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"credentials": [
{
"credentialNames": [
"<string>"
],
"packageName": "<string>"
}
],
"creditsUsed": 123,
"dispatchedAt": "2023-11-07T05:31:56Z",
"executionTimeout": 1000,
"files": [
"<string>"
],
"finishedAt": "2023-11-07T05:31:56Z",
"maxSteps": 100,
"memoryNamespace": "default",
"message": "<string>",
"output": {},
"outputSchema": {},
"reasoning": true,
"stealth": false,
"steps": 123,
"streamUrl": "<string>",
"subagentModel": "google/gemini-3.5-flash",
"succeeded": true,
"temperature": 0.5,
"updatedAt": "2023-11-07T05:31:56Z",
"vision": false,
"vpnCountry": "US"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 123,
"pageSize": 123,
"pages": 123,
"total": 123
}
}{
"detail": "You are not authorized to access this resource",
"errors": [],
"status": 401,
"title": "Unauthorized"
}{
"detail": "<string>",
"errors": [
"<unknown>"
],
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"errors": [
"<unknown>"
],
"status": 123,
"title": "<string>"
}Tasks
List Tasks
List tasks with optional filtering, sorting, and pagination.
GET
/
tasks
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const tasks = await client.tasks.list();
console.log(tasks.items);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
tasks = client.tasks.list()
print(tasks.items)Authorizations
Bearer token via Authorization header
Query Parameters
Only tasks created by the calling user.
Only tasks created by this user id.
Available options:
queued, created, running, cancelling, completed, failed, cancelled Search in task description.
Maximum string length:
128Available options:
id, createdAt, finishedAt, status Available options:
asc, desc Required range:
x >= 1Required range:
1 <= x <= 100Was this page helpful?
⌘I